<div class="container-fluid">
  <table class="table table-hover" width="100%">
    <thead>
      <th scope="col">Card Id</th>
      <th scope="col">Issued Date</th>
      <th scope="col">Expiry Date</th>
      <th scope="col">Number of Years Valid</th>
      <th scope="col">Load</th>
      <th scope="col">Type</th>
      <th scope="col">IsActive</th>
      <th scope="col">Action </th>
    </thead>
    <tbody>
    <tr *ngFor="let card of cardList;let i = index">
      <td>
        {{ card.cardId}}
      </td>
      <td >
        {{ card.issuedDate | date: 'yyy-MM-dd'}}
      </td>
      <td >
        {{ card.expiryDate | date: 'yyy-MM-dd'}}
      </td>
      <td >
        {{ card.numberYearsValid}}
      </td>
      <td >
        {{ card.load}}
      </td>
      <td>
        <ng-select
               [disabled]="true"
                [items]="cardTypes"
                bindLabel="name"
                bindValue="cardTypeId"
                [(ngModel)]="card.cardType"
                placeholder="Select item"
                appendTo="body">
            </ng-select>
      </td>
      <td>
        <input [disabled]='true' type="checkbox"  [(ngModel)]="card.isDeleted">
      </td>
      <td>
        <div>
          <button type="button" class="btn btn-warning float-left" (click)="openDialogView($event, content,card)">
            View
          </button>
        </div>
      </td>
    </tr>
    </tbody>
  </table>
  <div>
    <button type="button" class="btn btn-warning float-left"  (click)="openDialogAdd($event, content);"><span
      class="fa fa-plus-circle">&nbsp;</span> Add Card </button>
  </div>
  <!-- modal dialog -->
  <div>
    <ng-template #content let-modal>
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title"> Card </h4>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <app-cardaction [cardInput]="card" [(mode)]="mode" [(cardTypes)]="cardTypes"></app-cardaction>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" (click)="modal.close('Close click')">Close</button>
        </div>
      </div>
    </ng-template>
  </div>

</div>

